aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject RE: Small problem integrating the blueprint maven plugin into trunk (Java 7 dependency)
Date Mon, 27 Oct 2014 12:42:30 GMT
No problem for me to use Java7 for the plugin. 

Regards
JB 



Sent from my Samsung Galaxy smartphone.


-------- Original message --------
From: Christian Schneider <chris@die-schneider.net> 
Date:27/10/2014  09:51  (GMT+01:00) 
To: dev@aries.apache.org 
Cc:  
Subject: Small problem integrating the blueprint maven plugin into trunk (Java
  7 dependency)


I am facing a small problem while integrating my blueprint maven plugin 
into the aries trunk.

To support the JEE @Transactional annotation I use the dependency:
         <dependency>
             <groupId>javax.transaction</groupId>
<artifactId>javax.transaction-api</artifactId>
             <version>1.2</version>
         </dependency>

Unfortunately the jar only works in Java 7 while aries generally is 
still using Java 6 level.

Is it ok to switch the blueprint maven plugin to Java 7 level? If not 
then is there another way to support this annotation?

Christian

-- 
Christian Schneider
http://www.liquid-reality.de

Open Source Architect
http://www.talend.com

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message